Subject: Re: [PATCH] tcp: make TCP quick ACK behavior modifiable

From: Hagen Paul Pfeifer <[email-masked]>
Date: Mon, 23 Aug 2010 22:49:20 +0200

* Eric Dumazet | 2010-08-23 22:44:03 [+0200]:

>>  static inline void inet_csk_delack_init(struct sock *sk)
>>  {
>>  	memset(&inet_csk(sk)->icsk_ack, 0, sizeof(inet_csk(sk)->icsk_ack));
>> +	inet_csk(sk)->icsk_ack.pingpong = sysctl_tcp_quickack ? 0 : 1;
>
>What about dccp using this function ?

I will check this and re-spin the patch if necessary. Thank you Eric, I missed
DCCP.

>So here is a new undocumented setting ? hint hint...
>
>I thought setsockopt(TCP_QUICKACK) was already available for this
>optimization ?

... and it is still available. ;-) See my other post answering Stephen's email.

Hagen